ONVIF::Media::Elements::GetAudioDecoderConfigurationOptionsResponse(3pm)

NAME
ONVIF::Media::Elements::GetAudioDecoderConfigurationOptionsResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetAudioDecoderConfigurationOptionsResponse from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Options

     $element->set_Options($data);
     $element->get_Options();

METHODS

  new
 my $element = ONVIF::Media::Elements::GetAudioDecoderConfigurationOptionsResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Options =>  { # ONVIF::Media::Types::AudioDecoderConfigurationOptions
     AACDecOptions =>  { # ONVIF::Media::Types::AACDecOptions
       Bitrate =>  { # ONVIF::Media::Types::IntList
         Items =>  $some_value, # int
       },
       SampleRateRange =>  { # ONVIF::Media::Types::IntList
         Items =>  $some_value, # int
       },
     },
     G711DecOptions =>  { # ONVIF::Media::Types::G711DecOptions
       Bitrate =>  { # ONVIF::Media::Types::IntList
         Items =>  $some_value, # int
       },
       SampleRateRange =>  { # ONVIF::Media::Types::IntList
         Items =>  $some_value, # int
       },
     },
     G726DecOptions =>  { # ONVIF::Media::Types::G726DecOptions
       Bitrate =>  { # ONVIF::Media::Types::IntList
         Items =>  $some_value, # int
       },
       SampleRateRange =>  { # ONVIF::Media::Types::IntList
         Items =>  $some_value, # int
       },
     },
     Extension =>  { # ONVIF::Media::Types::AudioDecoderConfigurationOptionsExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL